using e_suite.Database.Core.Tables.Sentinel;

namespace e_suite.API.Common.repository;

public interface ISentinelRepository
{
    Task AddFailedAccessAttempt(FailedAccessAttempt failedLoginAttempt, CancellationToken cancellationToken);
    Task<int> GetAccessAttemptsSince(string ipAddress, DateTimeOffset earliestAttemptTime, CancellationToken cancellationToken);
    Task DeleteAccessAttemptsBefore(DateTimeOffset earliestAttemptTime);
}